Name: lmms
Version: 0.4.0
Release: alt2

Summary: Linux MultiMedia Studio
License: GPL
Group: Sound
Url: http://lmms.sourceforge.net

Packager: Slava Dubrovskiy <dubrsl@altlinux.ru>
Source: %name-%version.tar.bz2
Source4: %name-16x16.png
Source5: %name-32x32.png
Source6: %name-48x48.png

BuildPreReq: rpm-build-lmms
# Automatically added by buildreq on Mon Dec 15 2008
BuildRequires: cmake gcc-c++ ladspa_sdk libSDL-devel libalsa-devel libpulseaudio-devel libqt3-devel libqt4-devel libstk-devel libvorbis-devel

BuildRequires: esound-devel fontconfig freetype2 libfftw3-devel libfluidsynth-devel jackit-devel libICE-devel libSDL_sound-devel libX11-devel libogg-devel libsamplerate-devel libsndfile-devel libstdc++-devel xorg-cf-files xorg-x11-proto-devel
##BuildRequires: libncurses-devel
BuildRequires: libfestival-devel libestools-devel shared-mime-info
#TODO: Find or build -lFestival

%description
LMMS aims to be a free alternative to popular (but commercial and closed-
source) programs like FruityLoops, Cubase and Logic giving you the ability of
producing music with your computer by creating/synthesizing sounds, arranging
samples, using effects, playing live with keyboard and much more...

%prep
%setup -q
##find ./plugins -type f -print0 | xargs -r0 %__subst "s|(LDFLAGS)|(LDFLAGS) \$(QT_LDADD) -lpthread |g"
##find ./plugins -type f -print0 | xargs -r0 %__subst "s|(LIBS)|(LIBS) \$(QT_LDADD) -lpthread |g"

%build
cmake . -DCMAKE_INSTALL_PREFIX=/usr

%install
%__make DESTDIR=%buildroot install

%find_lang %name

%__mkdir_p %buildroot%_pixmapsdir
%__install -p -m 644 data/themes/default/icon.png %buildroot%_pixmapsdir/%name.png
#icons
%__mkdir_p %buildroot%_miconsdir
%__mkdir_p %buildroot%_liconsdir
%__mkdir_p %buildroot%_niconsdir
%__install -p -m 644 %SOURCE4 %buildroot%_miconsdir/%name.png
%__install -p -m 644 %SOURCE5 %buildroot%_niconsdir/%name.png
%__install -p -m 644 %SOURCE6 %buildroot%_liconsdir/%name.png


# menu
%__mkdir_p %buildroot%_desktopdir
%__cat << EOF > %buildroot%_desktopdir/%name.desktop
[Desktop Entry]
Name=LMMS
GenericName=Linux MultiMedia Studio
Comment=Linux MultiMedia Studio
TryExec=lmms
Exec=lmms
Icon=lmms
Terminal=false
StartupNotify=true
Type=Application
Categories=AudioVideo;
EOF

%files -f %name.lang
%doc AUTHORS ChangeLog README TODO
%_bindir/*
%_libdir/%name/
%_datadir/%name/
%_man1dir/*
%_pixmapsdir/*
%_miconsdir/*
%_liconsdir/*
%_niconsdir/*
%_desktopdir/*
%_datadir/mime/packages/*

%changelog
* Wed Dec 17 2008 Slava Dubrovskiy <dubrsl@altlinux.org> 0.4.0-alt2
- Fix build in x86_64.

* Mon Dec 15 2008 Slava Dubrovskiy <dubrsl@altlinux.org> 0.4.0-alt1
- 0.4.0
- Fix repocop tests: iconsdir, shared-mime-info, update_menus, freedesktop-categories et ctr.
- Update spec

* Thu Sep 11 2008 Slava Dubrovskiy <dubrsl@altlinux.org> 0.3.2-alt2
- Fix for repocop solution
- Update BuildRequires

* Wed Jun 25 2008 Slava Dubrovskiy <dubrsl@altlinux.org> 0.3.2-alt1
- 0.3.2

* Tue Dec 11 2007 Slava Dubrovskiy <dubrsl@altlinux.org> 0.3.1-alt3
- Fix build in x86_64.
- Remove BuildPreReq: libwine-devel
- Add BuildPreReq: rpm-build-lmms

* Fri Dec 07 2007 Slava Dubrovskiy <dubrsl@altlinux.org> 0.3.1-alt2
- Fix build in x86_64.
- Remove BuildPreReq: libwine-devel for x86_64

* Mon Nov 19 2007 Slava Dubrovskiy <dubrsl@altlinux.org> 0.3.1-alt1
- 0.3.1
- update spec

* Tue Sep 11 2007 Slava Dubrovskiy <dubrsl@altlinux.org> 0.3.0-alt1
- 0.3.0
- update spec

* Mon Jun 11 2007 Slava Dubrovskiy <dubrsl@altlinux.org> 0.2.1-alt1
- 0.2.1
- update spec

* Fri Jul 21 2006 Slava Dubrovskiy <dubrsl@altlinux.ru> 0.2.0-alt0
- 0.2.0
- Removed ALT menu file

* Thu Mar 23 2006 Slava Dubrovskiy <dubrsl@altlinux.ru> 0.1.4-alt2
- Removed BuildRequires: libqt4-core

* Tue Mar 21 2006 Slava Dubrovskiy <dubrsl@altlinux.ru> 0.1.4-alt1
- Removed BuildPreReq: wine

* Fri Feb 17 2006 Slava Dubrovskiy <dubrsl@altlinux.ru> 0.1.4-alt0
- initial build
